Page MenuHomePhabricator

Change "Real Name" string for "Also Known As"
Closed, ResolvedPublic

Description

Please change the "Real Name" string in profiles for "Name". Background:

In T63#13144, @Quiddity wrote:

https://secure.phabricator.com/T4728 was resolved, but only because it is possible to disable the "real name" field entirely.
AFAIK, we want to keep the field, because it is a useful way to provide an alternate name/nickname/handle; however, we want to change the label. I filed https://secure.phabricator.com/T6257 where Chad (of Phabricator) says

You should be able to change the "language" of the field as needed in your base English Translations (happy to fix that if needed, it may not exist).

Context: I believe the 3 main use-cases (now that we have a separate field for IRC nicks) are: 1) People who want to provide a Latin-character translation/alternative for their non-Latin username, 2) People who use a custom signature onwiki, that isn't their username, 3) People who want to use their real name.
So, please change (or create) the string used in the base English Translation, for <label class="aphront-form-label" for="UQ0_2">Real Name</label> (and ask Chad if assistance is needed).
I suggest changing the string to: "Additional name", or "Also known as (e.g. nickname or real name)", or similar.

Event Timeline

Qgil created this task.Oct 22 2014, 12:13 AM
Qgil raised the priority of this task from to Normal.
Qgil updated the task description. (Show Details)
Qgil added a project: Phabricator.
Qgil changed Security from none to None.
Qgil added subscribers: Qgil, Quiddity.
greg added a subscriber: greg.Oct 22 2014, 12:15 AM

Yes. Absolutely. Let's be inclusive of all people (including those who may or may not be able to convince governments of their name change).

Qgil renamed this task from Change "Real Name" string for more flexible meaning to Change "Real Name" string for a more flexible meaning.Oct 22 2014, 12:15 AM
Qgil removed a subscriber: greg.
Qgil added a subscriber: greg.
Dzahn added a subscriber: Dzahn.Oct 22 2014, 12:17 AM

it's more like "long name" vs. "nick name", but what's a better term for that?

Qgil added a comment.EditedOct 22 2014, 12:19 AM

The fix is simple, we can just use the localization feature. We just have to decide the string to be used. Looking at the layout of the form, a short string would be better.

Let me adventurous: "Name"?

just "name" is good as well :)

"Name" works for me. :)

Qgil renamed this task from Change "Real Name" string for a more flexible meaning to Change "Real Name" string for "Name".Oct 22 2014, 12:36 AM
Qgil updated the task description. (Show Details)

Assuming we want to change the translation to "Name" everywhere (I'm in favor of this) we'd probably want to patch modules/phabricator/data/fixed_settings.yaml in operations/puppet.git instead of editing https://phabricator.wikimedia.org/config/edit/translation.override/ directly.

On the other hand I don't see our currently existing changes
{ "Maniphest Task" : "Task", "Pholio Mock" : "Mockup" }
in that yaml file either.

Qgil added subscribers: Jalexander, Legoktm.

"Display Name" is not a bad option either. If LCA has a strong preference, then I'm fine with that.

The field should be optional already, but I didn't attempt to register without adding one.

Yeah, I'm not sure if it's actually required (I didn't try registering without) but it's definitely still marked as required which is probably almost as bad as it actually being required (will make people who don't want to fill it out freeze up a bit and not necessarily try to not type something there)

LCA would prefer Display Name over Name. Name still sounds like we're asking for a real name.

LCA would prefer Display Name over Name. Name still sounds like we're asking for a real name.

I was going to suggest "Display name" or "Preferred name" as an option, but that would be confusing because it's not actually the name that is "displayed". AFAIK, it's merely an alternate auto-complete name for when adding subscribers/assignees (and it's shown in brackets on the profile page, for the benefit of anyone who clicks to that).

I figure:

  • Anything is better than "Real name".
  • I can live with "Name".
  • I'd slightly prefer "Alternate name" or "Additional name" or "Also known as (e.g. nickname or real name)", or similar.
  • Any of those can potentially be used in the future,
  • changing away from the current "Real name" is the priority.

We would not be ok with Name, it still makes it sound like it is asking for a real name.

To be honest it sounds like the 'best' move may just be to get rid of it but if but if we really think we need it then possibly alternative name/additional name is fine.

I also think it is very important that it be made optional (it is currently required still, I tried).

Qgil added a comment.Oct 24 2014, 11:13 PM

We would not be ok with Name, it still makes it sound like it is asking for a real name.

If "Name" appears without the asterisk, as an optional field, then nobody is forced to fill it.

To be honest it sounds like the 'best' move may just be to get rid of it but if but if we really think we need it then possibly alternative name/additional name is fine.

Note that this is the field where non-Latin names and parenthesis can be added. You want to keep it. :)

I also think it is very important that it be made optional (it is currently required still, I tried).

Thank you for testing! I just reopened T63: Phabricator requires a "real name" to register.

In T798#14813, @Qgil wrote:

We would not be ok with Name, it still makes it sound like it is asking for a real name.

If "Name" appears without the asterisk, as an optional field, then nobody is forced to fill it.

Aye, if it's optional I have a lot less of a care, we have an optional field for that on mediawiki too (though we don't actually have it on registration anymore, just in your preferences).

To be honest it sounds like the 'best' move may just be to get rid of it but if but if we really think we need it then possibly alternative name/additional name is fine.

Note that this is the field where non-Latin names and parenthesis can be added. You want to keep it. :)

Nah, I just want them to be able to use those in the username ;) More importantly that isn't too strongly on my radar just because there is nothing really that lets them know that, they get an error if they put it into the username field but there is no hint to them that they could use it in this other field and I don't see a great way to explain that.

I also think it is very important that it be made optional (it is currently required still, I tried).

Thank you for testing! I just reopened T63: Phabricator requires a "real name" to register.

Thanks!

He7d3r added a subscriber: He7d3r.Oct 25 2014, 10:05 PM

I don't want to bikeshed this too much, but in the spirit of listing possibilities, and to summarize, (and to nudge the bug)...
In descending order of preference, I'd suggest:

  • Other name
  • Additional name
  • Alternative name
  • Also known as
  • Name [last resort]
Qgil moved this task from To Triage to Need discussion on the Phabricator board.Oct 29 2014, 8:44 AM
Dzahn removed a subscriber: Dzahn.Oct 29 2014, 10:32 PM
Ltrlg added a subscriber: Ltrlg.Oct 30 2014, 12:26 AM
Qgil added a comment.EditedNov 9 2014, 11:14 PM
  • Name [last resort]

"Name", then? :)

It's an optional field. It's editable. You can see what other users are doing with it.

Honestly I see no difference between real name and name. It is essentially the same thing.

Qgil added a comment.Nov 9 2014, 11:34 PM

"Also known as"?

I think that, or something like that, would be better. I also teases the use case (another way to find someone).

Let's go for "Additional name".

Qgil added a comment.Nov 19 2014, 12:16 AM

I was serious with "Also known as". It is one of the options suggested by @Quiddity, and I think it is the most accurate and descriptive considering all the concerns expressed in this thread.

Said that... whatever @Quiddity , @Jalexander, and @Aklapper decide will be a good decision. Nothing to add. :)

Jalexander added a comment.EditedNov 19 2014, 12:19 AM

I'm fine with either the AKA or additional name options (or many of the
others, my bigger problems are with real name and name).

Qgil added a comment.Nov 19 2014, 10:06 AM

So you are not helping with strong opinions... :)

The reasons why I think "Also Known As" is better than "Additional Name":

  • "Additional Name" somehow implies that there was a request for a name before, and it still contains the evil word "Name".
  • "Also Known As" after the username is really a free-form field, which clearly is what we are intending here. It might be slighyly confusing for average users unaware of this discussion topic expecting something like "Name", but eventually everybody will user their field correctly by seeing all the time what other users have defined as their own AKA.
Jalexander added a comment.EditedNov 19 2014, 10:16 AM

I tend to agree, my preference would be Also Known As, I think it is the
most flexible and closest to what the actual use. I wouldn't put up a big
fight for Additional Name but I would prefer AKA.

then let's have "Also Known As".

Qgil moved this task from Need discussion to Ready to Go on the Phabricator board.Nov 19 2014, 5:20 PM

Change 174583 merged by Dzahn:
Phab: Change user visible strings "Execute Query" and "Real Name"

https://gerrit.wikimedia.org/r/174583

Dzahn added a subscriber: Dzahn.Nov 25 2014, 10:52 PM

merged the change. applied on iridum. Field now shows up as "Also Known As" in profile. see yourself.

Dzahn closed this task as Resolved.Nov 25 2014, 10:53 PM
Dzahn claimed this task.
Qgil awarded a token.Nov 25 2014, 11:10 PM
mmodell mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM
Aklapper renamed this task from Change "Real Name" string for "Name" to Change "Real Name" string for "Also Known As".Dec 14 2014, 9:21 PM